//: C09:AmbiguousName.cpp {-xo}
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.

class Nejvyssi {
public:
  virtual ~Nejvyssi() {}
};

class Leva : virtual public Nejvyssi {
public:
  void f() {}
};

class Prava : virtual public Nejvyssi {
public:
  void f() {}
};

class Nejnizsi : public Leva, public Prava {};

int main() {
  Nejnizsi b;
  b.f(); // Zde je chyba
} ///:~
